### Method

# Snapd Client set_user_agent

since: 1.16

#### Declaration [src]

    void
    snapd_client_set_user_agent (
      SnapdClient* client,
      const gchar* user_agent
    )

#### Description [src]

Set the HTTP user-agent that is sent with each request to snapd. Defaults to “snapd-glib/VERSION”.

Available since: 1.16

#### Parameters

`user_agent`

  Type: `const gchar*`

  A user agent or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.